# for documentation of all options, see:
# https://docs.mongodb.org/manual/reference/configuration-options/

# Where to write logging data
systemLog:
  # The default log message verbosity level for components (0-5)
  verbosity: 0

  destination: file
  path: /var/log/mongodb/mongod.log

  logAppend: true
  logRotate: reopen
 
# Where and how to store data
storage:
  # Directory for datafiles (defaults to /data/db/)
  dbPath: /var/lib/mongodb

  journal:
    # Enable/Disable journaling
    enabled: true

  # The storage engine for the mongod database (mmapv1|wiredTiger)
  # (wiredTiger by default - works for 64 bit only)
  engine: mmapv1

  # mmapv1:

  # wiredTiger:

# How the process runs
processManagement:
  fork: true  # fork and run in background
  pidFilePath: /var/run/mongodb/mongod.pid  # location of pidfile

# network interfaces
net:
  port: 27017
  # Listen to local interface only, comment to listen on all interfaces
  bindIp: 127.0.0.1,::1
  ipv6: true

  unixDomainSocket:
    # Enable/disable listening on the UNIX domain socket
    enabled: true
    # Alternative directory for UNIX domain sockets (defaults to /tmp)
    pathPrefix: /var/run/mongodb

#security:
  # Private key for cluster authentication
  #keyFile: <string>

  # Run with/without security (enabled|disabled, disabled by default)
  #authorization

#operationProfiling:

#replication:

#sharding:
